#include <bits/stdc++.h>
#define ll long long

using namespace std;

int n;
int niz[2000010];
int cnt[10];
int index[10];

int main()
{
	ios::sync_with_stdio(false);
	cin.tie(0);

    cin>>n;
    int x;
    for(int i=0;i<n;i++)
    {
        cin>>x;
        niz[i]=x;
        cnt[x]++;
        index[x]=i;
    }

    if(n==2)
    {
        cout<<niz[1]<<" "<<niz[0]<<endl;
        return 0;
    }

    bool isti=false;
    for(int i=0;i<n;i++)
    {
        int tek=niz[i];
        cnt[tek]--;
        if(cnt[tek]>0) isti=true;
        for(int z=9;z>tek;z--)
            if(cnt[z]>0)
            {
                niz[i]=z;
                niz[index[z]]=tek;
                for(int j=0;j<n;j++)
                    cout<<niz[j]<<" ";
                return 0;
            }
    }
    if(isti)
    {
        for(int i=0;i<n;i++)
            cout<<niz[i]<<" ";
        return 0;
    }
    int pom=niz[n-1];
    niz[n-1]=niz[n-2];
    niz[n-2]=pom;

    for(int i=0;i<n;i++)
        cout<<niz[i]<<" ";

	return 0;
}